# Uses of Interface
org.eclipse.e4.ui.model.application.ui.menu.MHandledToolItem

Packages that use MHandledToolItem
Package
Description
org.eclipse.e4.ui.model.application.ui.menu
Application programming interfaces describing the Eclipse 4 menu and toolbar model elements.
org.eclipse.e4.ui.model.application.ui.menu.impl
org.eclipse.e4.ui.model.application.ui.menu.util

## Uses of MHandledToolItem in org.eclipse.e4.ui.model.application.ui.menu

Methods in org.eclipse.e4.ui.model.application.ui.menu that return MHandledToolItem
Modifier and Type
Method
Description
`MHandledToolItem`
MMenuFactory.`createHandledToolItem()`
Returns a new object of class 'Handled Tool Item'.

## Uses of MHandledToolItem in org.eclipse.e4.ui.model.application.ui.menu.impl

Classes in org.eclipse.e4.ui.model.application.ui.menu.impl that implement MHandledToolItem
Modifier and Type
Class
Description
`class`
`HandledToolItemImpl`
An implementation of the model object 'Handled Tool Item'.
Methods in org.eclipse.e4.ui.model.application.ui.menu.impl that return MHandledToolItem
Modifier and Type
Method
Description
`MHandledToolItem`
MenuFactoryImpl.`createHandledToolItem()`

## Uses of MHandledToolItem in org.eclipse.e4.ui.model.application.ui.menu.util

Methods in org.eclipse.e4.ui.model.application.ui.menu.util with parameters of type MHandledToolItem
Modifier and Type
Method
Description
`T1`
MenuSwitch.`caseHandledToolItem(MHandledToolItem object)`
Returns the result of interpreting the object as an instance of 'Handled Tool Item'.